Doorzoek het forum

Trefwoord

Welkom bij Joomla!NL

Om alle mogelijkheden van dit forum te kunnen gebruiken, moet je je eerst registreren.

× Vermeld in iedere vraag duidelijk:
  1. De versie van Joomla! 3.X die je gebruikt
  2. De volledige url van je website indien mogelijk.
  3. De versie van de extensie waar de vraag over gaat.

PHP controle extensies

01 mei 2017 17:28 01 mei 2017 19:58 door Jelle.
Heeft onderwerp gestart
PHP controle extensies #1
Krijg sinds deze week de melding dat ik de PHP versie moet upgraden:

Your PHP version, 5.6.30-0+deb8u1, is only receiving security fixes at this time from the PHP project. This means your PHP version will soon no longer be supported. We recommend planning to upgrade to a newer PHP version before it reaches end of support on 2018-12-31. Joomla will be faster and more secure if you upgrade to a newer PHP version (PHP 7.x is recommended). Please contact your host for upgrade instructions.


Nu heb ik contact gehad met de provider en die vroeg of ik gecheckt had of alle plugins wel compatibel waren met PHP 7 want hij kon hem zo omzetten voor me.
Hoe controleer ik dat ?

Edit Jelle: Ik heb de melding tussen tags geplaatst, volgende keer graag zelf doen.
Gerrit van Buuren
Nieuw op Joomla!NL
Nieuw op Joomla!NL
Berichten: 10
Meer
01 mei 2017 18:27
PHP controle extensies #2
Controleer de door jouw gebruikte extensies of je de laatste versie hebt (evt. bij de makers)
Kijk in je back-end welke versie je hebt, en controleer dat bij de makers.
Zo niet, update dan die extensies.
Goede kans dat ze dan ook correct werken met PHP 7.x

Groeten, Romke
Voordat je een vraag post, gebruik eerst de zoekfunctie van ons forum eens.
Vragen via dit Forum (niet per PM of E-mail)
Is je vraag opgelost? Dan kan je hem zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Romke
Algemeen Moderator
Algemeen Moderator
Berichten: 3307
Meer
02 mei 2017 19:16
Heeft onderwerp gestart
PHP controle extensies #3
Valt nog niet mee om dit te achterhalen, maar ik heb denk ik de laatste versies van de meeste. Joomla update ze blijkbaar niet allemaal automatisch.

Maar hoe zit het met een template? Zijn die ook gevoelig voor aanpassingen aan de PHP versie? Ik gebruik de Afterburner van Rockettheme en hier kan ik niet veel over vinden. Ze hebben wel inmiddels een Afterburner2 versie, maar de laatste keer dat ik de template moest vernieuwen (van Joomla 1.5 naar 2.5) kostte het me een week werk om alles weer op de rails te hebben. Daar heb ik tegenwoordig echt geen tijd meer voor.

Het klinkt mogelijk wat amateuristisch, maar ik ben al 15 jaar webmaster van de site van onze kerk. Helaas vervaagt mijn ICT kennis de laatste jaren rap (tijdgebrek om bij te houden) en de techniek neemt rap toe en ik kan het eigenlijk niet meer bijbenen. Zit met smart te wachten op iemand die het van me overneemt. Dus excuses als mijn vragen dom overkomen.
Gerrit van Buuren
Nieuw op Joomla!NL
Nieuw op Joomla!NL
Berichten: 10
Meer
02 mei 2017 19:30
PHP controle extensies #4
Welke versie van Joomla heb je nu dan?

Een template is ook een extensie en moet ook geschikt zijn voor php7.

Met vriendelijke groet,

Peter Reitsma
Peter
Algemeen Moderator
Algemeen Moderator
Berichten: 2802
Meer
02 mei 2017 19:59
Heeft onderwerp gestart
PHP controle extensies #5
3.7.0 de laatste dus.
Gerrit van Buuren
Nieuw op Joomla!NL
Nieuw op Joomla!NL
Berichten: 10
Meer
02 mei 2017 20:17
PHP controle extensies #6
Ik neem aan dat je bij jouw hoster zelf niet tussen php versies kunt schakelen?

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 33395
Meer
02 mei 2017 22:40
Heeft onderwerp gestart
PHP controle extensies #7
Nee, ik hoef het alleen even dmv een mailtje aan te geven en ze zetten hem om.
Gerrit van Buuren
Nieuw op Joomla!NL
Nieuw op Joomla!NL
Berichten: 10
Meer
03 mei 2017 10:05 03 mei 2017 13:21 door Jelle.
PHP controle extensies #8
Dat is niet helemaal meer van deze tijd.
De meeste providers bieden je een beheerscherm (cPanel of Direct Admin) waarop je zelf de PHP-versie kunt omzetten

Om uit te zoeken of alles op je website geschikt is om op PHP 7 te draaien,moet je zoals Romke al aangaf er eerst voor zorgen dat Joomla, de extensies en het template op de meest recente versie draaien.
Ga naar Extensies => Beheren => Beheren en vergelijk het versienummer dat je daar voor elke extensie ziet met het versienummer dat de ontwikkelaar van de extensie op zijn website aanbiedt.
Joomla toont van de meeste extensies tegenwoordig dat er een update beschikbaar is, maar nog niet alle extensies hebben die functionaliteit ingebouwd.
Daarom is deze handmatige controle nog steeds heel belangrijk.
Kijk ook bij de maker van het template of die ondertussen een update beschikbaar hebben.

Als je dat allemaal hebt nagelopen en waar nodig geüpdatet, dan kun je testen of het werkt door om te schakelen van PHP 5.7 naar PHP 7.0of 7.1 (als je provider die al aanbiedt).

Lastig voor jou is alleen dat je dit steeds aan je provider moet vragen, waardoor je niet direct kunt zien of het allemaal goed gaat.
En als het niet goed gaat en je foutmeldingen krijgt, wil je natuurlijk weer snel terug naar PHP 5.6

Streef er echter wel naar om naar PHP 7.x over te gaan,omdat PHP 5.6 ondertussen verouderd.

Met vriendelijke groet,
Wouter Compactweb.nl
Voordat je een vraag post, gebruik eerst de zoekfunctie van ons forum.
Ik beantwoord geen vragen via PM
WoodyF4u
Moderator + Nieuwsteam
Moderator + Nieuwsteam
Berichten: 9690
Meer
Moderators: PeterJuliank92JelleRomke
Tijd voor maken pagina: 0.650 seconden

Wil je Joomla!NL steunen?

Steun Joomla!NLAlle teamleden werken enthousiast, op vrijwillige basis, mee aan Joomla!NL. Maar een website met forum kost nu eenmaal geld. Dus als je Joomla!NL wilt steunen, dan kan dat, graag zelfs!

Lees hier meer informatie

Joomla!NL op Twitter

Vandaag is Joomla! 3.9.12 vrijgegeven. Deze versie repareert 1 veiligheidsrisico en diverse bugs. Verder bevat het… https://t.co/3U3BJFQG6i

De naam Joomla!® en logo worden gebruikt onder een beperkte licentie met toestemming van Open Source Matters.
Joomlanl.nl is niet verbonden aan en is geen onderdeel van Open Source Matters, Inc, of het Joomla! project.

© 2019 - Joomla!NL | Gehost door Wned